// API Actor API for managing SDN segments
package segments

import (
	"repository.basistech.ru/BASIS/dynamix-golang-sdk/v14/interfaces"
)

// Structure for creating request to segments
type Segments struct {
	client interfaces.Caller
}

// Builder for segments endpoints
func New(client interfaces.Caller) *Segments {
	return &Segments{
		client,
	}
}
